﻿using Samples;

namespace Sample04;

public class Sample04 {
  /// <summary>
  /// Validate using a helper class
  /// </summary>
  public static void Validate() {
    // Create view model and initialize Entity object
    ProductViewModel vm = new() {
      Entity = new() {
        ProductID = 1
      }
    };

    // Validate the Data
    var msgs = vm.Validate();

    if (msgs.Count > 0) {
      // Display Failed Validation Messages
      foreach (ValidationMessage item in msgs) {
        Console.WriteLine(item);
      }

      // Display Total Count
      Console.WriteLine();
      Console.WriteLine($"Total Validations Failed: {msgs.Count}");
    }
    else {
      Console.WriteLine();
      Console.WriteLine("Entity is Valid");
    }

    // Pause to view the Results
    Console.ReadKey();
  }
}