﻿using Samples;

namespace Sample05;

public class Sample05 {
  /// <summary>
  /// Use a custom [CompareDecimalLessThan] attribute on the StandardCost property
  /// </summary>
  public static void Validate() {
    // Create view model and initialize Entity object
    ProductViewModel vm = new() {
      Entity = new() {
        ProductID = 1,
        Name = "A New Product",
        Color = "Red",
        StandardCost = 5,
        ListPrice = 2,
        SellStartDate = DateTime.Today,
        SellEndDate = DateTime.Today.AddDays(+1),
        DiscontinuedDate = Convert.ToDateTime("1/1/2023")
      }
    };

    // Validate the Data
    var msgs = vm.Validate();

    if (msgs.Count > 0) {
      // Display Failed Validation Messages
      foreach (ValidationMessage item in msgs) {
        Console.WriteLine(item);
      }

      // Display Total Count
      Console.WriteLine();
      Console.WriteLine($"Total Validations Failed: {msgs.Count}");
    }
    else {
      Console.WriteLine();
      Console.WriteLine("Entity is Valid");
    }

    // Pause to view the Results
    Console.ReadKey();
  }
}