﻿using Samples;

// Create view model and initialize Entity object
EmployeeViewModel vm = new() {
  Entity = new() {
    EmployeeId = 1,
    FirstName = "A",
    LastName = "AA",
    Salary = 1.01m,
    StartDate = DateTime.Now.AddDays(-10),
    TerminationDate = DateTime.Now.AddDays(-11)
  }
};

// Validate the Data
var msgs = vm.Validate();

if (msgs.Count > 0) {
  // Display Failed Validation Messages
  foreach (ValidationMessage item in msgs) {
    Console.WriteLine(item);
  }

  // Display Total Count
  Console.WriteLine();
  Console.WriteLine($"Total Validations Failed: {msgs.Count}");
}
else {
  Console.WriteLine();
  Console.WriteLine("Entity is Valid");
}

// Pause to view the Results
Console.ReadKey();