﻿namespace Samples;

public class Sample01 {
  /// <summary>
  /// Validate an entity object using Resources
  /// </summary>
  public static void Validate() {
    // Create view model and initialize Entity object
    UserViewModel vm = new() {
      Entity = new() {
        UserId = 1,
        LoginId = "",
        Password = "Joe!Smith@2022",
        ConfirmPassword = "Joe!Smith@2022",
        EmailAddress = "test!test.com",
        Phone = "asfsadf"
      }
    };

    // Validate the Data
    var msgs = vm.Validate();

    if (msgs.Count > 0) {
      // Display Failed Validation Messages
      foreach (ValidationMessage item in msgs) {
        Console.WriteLine(item);
      }

      // Display Total Count
      Console.WriteLine();
      Console.WriteLine($"Total Validations Failed: {msgs.Count}");
    }
    else {
      Console.WriteLine();
      Console.WriteLine("Entity is Valid");
    }

    // Pause to view the Results
    Console.ReadKey();
  }
}